<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Getting Started with JavaScript</title>
</head>
<body>

    <h2>JavaScript For Loop</h2>
    <p id="demo"></p>
    
    <script>

    //Declaring And Initializing Variable
     var abc;
     document.write(abc); //ans:- undefined

     var number;
     number = 10;
     document.write(number); //ans:- 10

     var name = "kamal", lastName = "jimiwal", roll = 101;
     document.write(name + "<br>"); //ans:- kamal 
     document.write(lastName + "<br>"); //ans:- jimiwal 
     document.write(roll); //ans:- 101


     // Arithmetic Operators
     var a = 20;
     var b = 10;
     var c = a + b
     document.write(c); //ans:- 30

     var a = 20;
     var b = 10;
     var c = a - b
     var d = a * b
     var e = a / b
     var f = a % b
     document.write(c); //ans:- 10
     document.write(d); //ans:- 200
     document.write(e); //ans:- 2
     document.write(f); //ans:- 0

     var a = 20;
     a++;
     document.write(a); //ans:- 21

     var a = 20;
     a--;
     document.write(a); //ans:- 19

     //Relational or Comparison Operator

     var a = 20;
     var b = 10;
     var c = a > b
     document.write(c); //ans:- true

     var a = 20;
     var b = 10;
     var c = a < b
     document.write(c); //ans:- false
     
     var a = 20;
     var b = 10;
     var c = a == b
     document.write(c); //ans:- false

     var a = 10;
     var b = 10;
     var c = a === b
     document.write(c); //ans:- true

     var a = 10;
     var b = "10";
     var c = a === b
     document.write(c); //ans:- false

     //Logical Operators
     var a = 20;
     var b = 10;
     var c = a > b &&  a < b
     document.write(c); //ans:- false

     var a = 20;
     var b = 10;
     var c = a > b ||  a < b
     document.write(c); //ans:- true

    </script>
</body>
</html>